<?php
/**
 * Header template for our theme
 *
 * Displays all of the <head> section and everything up till <div id="main">.
 *
 * @package AppleOne Theme
 * @since AppleOne Theme 1.0
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
  <head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php wp_title(); ?></title>
    <link href='http://www.google.com/fonts#UsePlace:use/Collection:Roboto:400,100,100italic,300,300italic,400italic,500,500italic,700,900,700italic|Open+Sans' rel='stylesheet' type='text/css'>

	<?php
	  /*
	   * We add some JavaScript to pages with the comment form
	   * to support sites with threaded comments (when in use).
	   */
	  if ( is_singular() && get_option( 'thread_comments' ) )
		wp_enqueue_script( 'comment-reply' );
		
	  /*
	   * Always have wp_head() just before the closing </head>
	   * tag of your theme, or you will break many plugins, which
	   * generally use this hook to add elements to <head> such
	   * as styles, scripts, and meta tags.
	   */
	  wp_head(); 
          get_template_part('/flexslider');
?>
  </head>
  <body <?php body_class(); ?>>

   <div class="container">
       <div class="header">
           
                   <?php if ( of_get_option('header_uploader') ) : ?>
                    <a href="<?php echo esc_url( home_url( '/' ) ); ?>" id="site-logo" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home">
                             <img src="<?php echo of_get_option('header_uploader'); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>">
                    </a>
             <?php else : ?>
 <div class="row">
                <div class="col-md-6">
     
                <?php $header_image = get_header_image(); ?>
                       <div class="blog-header" <?php if ( get_header_image() ) : ?>style="background-image: url( '<?php echo esc_url( $header_image ); ?>'); background-size: cover; background-repeat: no-repeat; background-position: top left; margin-bottom: 30px; width: 100%; height: 100%; min-height: <?php echo HEADER_IMAGE_HEIGHT; ?>px; position: relative;"<?php endif; ?>>
                     <div class="container" <?php if ( get_header_image() ) : ?>style="height: auto; min-height: <?php echo HEADER_IMAGE_HEIGHT; ?>px; position: relative;"<?php endif; ?>>
                           <?php if ( display_header_text() ) : ?>
        <?php $header_text_color = get_header_textcolor(); ?>
        <h1 class="blog-title" style="color: #<?php echo $header_text_color ?>;"><?php bloginfo( 'name' ); ?></h1>
        <p class="lead blog-description" style="color: #<?php echo $header_text_color ?>"><?php bloginfo( 'description' ); ?></p>
        <?php else : ?>
        <h1 class="blog-title" style="visibility: hidden; margin: 0; padding: 0; font-size: 0;"><?php bloginfo( 'name' ); ?></h1>
        <p class="lead blog-description" style="visibility: hidden; margin: 0; padding: 0; font-size: 0;"><?php bloginfo( 'description' ); ?></p>
        <?php endif; ?>
      </div>
    </div>

    </div>

<?php endif; ?> 
<div class="col-md-6" style="padding-top: 35px; float: right; text-align: right; font-size: 23px">
 
                <?php if (of_get_option('optionsfm_facebook') != '') { ?>
                <a href="<?php echo of_get_option('optionsfm_facebook'); ?>"><i class="fa fa-facebook"></i>             
                </a> 
                <?php } ?>  
                <?php if (of_get_option('optionsfm_twitter') != '') { ?>
                <a href="<?php echo of_get_option('optionsfm_twitter'); ?>"><i class="fa fa-twitter"></i></a>
                <?php } ?>
                <?php if (of_get_option('optionsfm_linked') != '') { ?>
                <a href="<?php echo of_get_option('optionsfm_linked'); ?>"><i class="fa fa-linkedin"></i></a>
                <?php } ?>
                <?php if (of_get_option('optionsfm_rss') != '') { ?>
                 <a href="<?php echo of_get_option('optionsfm_rss'); ?>"><i class="fa fa-rss"></i></a>
                <?php } ?>
</div>
</div><!--row -->
</div>
</div><!-- container-->

    
   
    
    <nav class="navbar navbar-inverse navbar-static-top" role="navigation">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target=".navbar-collapse" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only"><?php _e( 'Toggle navigation', 'appleone' ); ?></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php bloginfo( 'name' ); ?></a>
        </div>
		<?php
          wp_nav_menu( array(
            'menu'              => 'primary',
            'theme_location'    => 'primary',
            'depth'             => 2,
            'container'         => 'div',
            'container_class'   => 'collapse navbar-collapse',
            'container_id'      => 'bs-example-navbar-collapse-1',
            'menu_class'        => 'nav navbar-nav',
            'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
            'walker'            => new wp_bootstrap_navwalker())
          );
        ?><!--/.nav-collapse -->
      </div>
    </nav>
    
    <div class="container">