<?php
/**
 * Template Name: Home Page 
 *
 * Description: A page template that provides a key component of WordPress as a CMS
 * by meeting the need for a carefully crafted introductory page. The front page template
 * in Apple One consists of a page content area for adding text, images, video --
 * anything you'd like -- followed by front-page-only widgets in one or two columns.
 *
 * @package WordPress
 * @subpackage Apple One
 * @since Apple One 1.0
 */

get_header(); ?>

</div>



<div class="flexslider" style="height: 400px; width:100%">
  <ul class="slides">
    <li>
<div class="slide-pic">
     <img src="<?php echo of_get_option( 'slide_1', 'no entry'); ?>" height="400">
<div class="slide-text">
      <h2><?php echo of_get_option( 'slide_1_heading', 'no entry'); ?></h2>
      <p style="color: #fff"><?php echo of_get_option( 'slide_1_text', 'no entry'); ?></p>
      </div>
</div>
    </li>
    <li>
      <div class="slide-pic">
     <img src="<?php echo of_get_option( 'slide_2', 'no entry'); ?>" height="400">
<div class="slide-text">
      <h2><?php echo of_get_option( 'slide_2_heading', 'no entry'); ?></h2>
      <p style="color: #fff"><?php echo of_get_option( 'slide_2_text', 'no entry'); ?></p>
      </div>
</div>

    </li>
    <li>
    <div class="slide-pic">
     <img src="<?php echo of_get_option( 'slide_3', 'no entry'); ?>" height="400">
<div class="slide-text">
      <h2><?php echo of_get_option( 'slide_3_heading', 'no entry'); ?></h2>
      <p style="color: #fff"><?php echo of_get_option( 'slide_3_text', 'no entry'); ?></p>
      </div>
</div>

    </li>
  </ul>
</div>


<div class="container">
	<div id="primary" class="site-content">
		<div id="content" role="main">

			
 <?php while ( have_posts() ) : the_post(); ?>
 
       
            
<h1 class="top-area"><?php echo of_get_option( 'top_area', 'no entry'); ?></h1>
<div class="sub-area">

<div style="display: block; min-height: 10px; max-width: 100px; border-top: 1px solid #ED564B; border-bottom: 1px solid #ED564B; margin-top: 20px; margin-bottom: 20px; margin-left: auto; margin-right: auto;"></div>


<a href="<?php echo of_get_option( 'button_left_link'); ?>" class="green-button"><?php echo of_get_option( 'sub_area_1', 'no entry'); ?></a>
<a href="<?php echo of_get_option( 'button_right_link'); ?>" class="orange-button"><?php echo of_get_option( 'sub_area_2', 'no entry'); ?></a>
</div>

<div style="display: block; min-height: 10px; max-width: 100px; border-top: 1px solid #ED564B; border-bottom: 1px solid #ED564B; margin-top: 20px; margin-bottom: 20px; margin-left: auto; margin-right: auto;"></div>

                                  <div class="row">
 <div class="col-md-4">
             <div class="home-icon"><?php echo of_get_option( 'column_1_icon', 'Button'); ?></div>
             <h1 class="cheader"><?php echo of_get_option( 'column_1_heading', 'Button'); ?></h1>
	     <div class="home-columns"><?php echo of_get_option( 'column_1', 'Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industrys standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book.'); ?></div>
              <div style="text-align:center">
	     <a href="<?php echo of_get_option( 'blue_button_1'); ?>" class="blue-button"><?php echo of_get_option( 'bluebutton_1_text', 'Button'); ?></a>
             </div>

</div>
<div class="col-md-4">
            <div class="home-icon"><?php echo of_get_option( 'column_2_icon', 'Button'); ?></div>      <h1 class="cheader"><?php echo of_get_option( 'column_2_heading', 'no entry'); ?></h1>
            <div class="home-columns"><?php echo of_get_option( 'column_2', 'Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industrys standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book.'); ?></div>
	     <div style="text-align:center">
            <a href="<?php echo of_get_option( 'blue_button_2'); ?>" class="blue-button"><?php echo of_get_option( 'bluebutton_2_text', 'Button'); ?></a>	
            </div>
</div>
 <div class="col-md-4">     
           <div class="home-icon"><?php echo of_get_option( 'column_3_icon', 'Button'); ?></div>       
           <h1 class="cheader"><?php echo of_get_option( 'column_3_heading', 'no entry'); ?></h1>
           <div class="home-columns"><?php echo of_get_option( 'column_3', 'Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industrys standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book.'); ?></div>
           <div style="text-align:center">
           <a href="<?php echo of_get_option( 'blue_button_3'); ?>" class="blue-button"><?php echo of_get_option( 'bluebutton_3_text', 'Button'); ?></a>	
           </div>
</div>
</div>

<br><br><br><br>

<div class="bottom-area">
<p><?php echo of_get_option( 'bottom_area'); ?></p>
</div>
<div style="display: block; min-height: 10px; max-width: 100px; border-top: 1px solid #ED564B; border-bottom: 1px solid #ED564B; margin-top: 20px; margin-bottom: 20px; margin-left: auto; margin-right: auto;"></div>
<br><br>

			<?php endwhile; // end of the loop. ?>

		</div><!-- #content -->
	</div><!-- #primary -->



<div class="entry-content">
             <?php the_content(); ?>
				</div>
                                  

<?php get_footer(); ?>